# eth\_estimateGas

1. **Parameters**

* <mark style="color:blue;">transaction</mark> object

  The transaction call object:
* <mark style="color:blue;">from</mark> string

  The address from which the transaction is sent
* <mark style="color:blue;">to</mark> string \*REQUIRED

  The address to which the transaction is addressed
* <mark style="color:blue;">gas</mark> integer

  The integer of gas provided for the transaction execution
* <mark style="color:blue;">gasPrice</mark> integer

  The integer of gasPrice used for each paid gas encoded as hexadecimal
* <mark style="color:blue;">value</mark> integer

  The integer of value sent with this transaction encoded as hexadecimal
* <mark style="color:blue;">data</mark> string

  The hash of the method signature and encoded parameters

```bash
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_estimateGas","params":[{"from":"0x8D97689C9818892B700e27F316cc3E41e17fBeb9","to":"0xd3CdA913deB6f67967B99D67aCDFa1712C293601","value":"0x186a0"}],"id":1,"jsonrpc":"2.0"}'

```

2. **Result**
   1. Return

      Quantity- The estimated amount of gas used
